// *****************************************************************************
//	Vidomi - Video Encoder
//
//	Copyright (C) 2001 Vidomi, Inc.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// *****************************************************************************
// *****************************************************************************
// job class
// *****************************************************************************
#ifndef encodecontrol_h
#define encodecontrol_h

class encodeControlClass 
{

	public:
									encodeControlClass();
									~encodeControlClass();
			bool					createWindow(HINSTANCE hInst);
			bool					showWindow();
			bool					hideWindow();
			BOOL static CALLBACK	encodeControlDialogHandler(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
			BOOL					encodeControlDialogHandler1(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
			void					resetWindowState();
			bool					windowVisible();

	private:
			HWND					encodeControlhWnd;
			int						currentPriority;
			bool					running;
			HINSTANCE				encodeControlhInst;
			bool					windowsCreated;
			bool					shutdown;
			int						currentSleepPerFrame;
			bool					visible;

};


#endif