// *****************************************************************************
//	Vidomi - Video Encoder
//
//	Copyright (C) 2001 Vidomi, Inc.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// *****************************************************************************
// *****************************************************************************
//
// This is encoder.h
//
// *****************************************************************************

#ifndef encoder_h
#define encoder_h

#define ENCODE_MODE_CBR 0
#define ENCODE_MODE_HYBRID1 1
#define ENCODE_MODE_VBR 2
#define ENCODE_MODE_HYBRID2 3
#define ENCODE_MODE_DIVXCBR 4
#define ENCODE_MODE_DIVXCBRQUALITY 5
#define ENCODE_MODE_DIVXVBR 6
#define ENCODE_MODE_HYBRID2TIME 7
#define ENCODE_MODE_VBRTIME 8
#define ENCODE_MODE_DIVXVBRPLUS 9
#define ENCODE_MODE_XVIDVBR 10
#define ENCODE_MODE_CBR2PASS 11
#define ENCODE_MODE_XVIDHYBRID 12

#define SUBTITLE_MODE_DISABLED -1
#define SUBTITLE_MODE_GRAPHIC 0
#define SUBTITLE_MODE_TEXT 1


#define DEFAULT_OUTPUT_100 0
#define DEFAULT_OUTPUT_75 1
#define DEFAULT_OUTPUT_50 2

#define SUBTITLE_BUFFER_SIZE 64000

#define FRAME_I_TYPE	1
#define FRAME_P_TYPE	2
#define FRAME_B_TYPE	3

#endif
