// *****************************************************************************
//	Vidomi - Video Encoder
//
//	Copyright (C) 2001 Vidomi, Inc.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// *****************************************************************************
// *****************************************************************************
// ifo class
// *****************************************************************************
#ifndef translate_h
#define translate_h

#define MAX_TRANSTABLE 2048
typedef struct {
	char		textId[48];
	int			id;
} TRANSLATEIDTABLE;

typedef struct {
	char *	textId;
	char *	text;
} TRANSLATEFROMTO;

class translateClass 
{

	public:
									translateClass();
									~translateClass();
				bool				setDefaultLanguageFile(char * filename);
				bool				setLanguageFile(char * filename);
				void				translate(char * text, char * textId);
				void				translateMenu(HMENU menu);

	private:
	
				TRANSLATEFROMTO	*	transTable[MAX_TRANSTABLE];
				int					numEntries;
				int					transTableTail;


};


#endif