// *****************************************************************************
// rendersubtitles class
// *****************************************************************************
#ifndef rendersubtitles_h
#define rendersubtitles_h

class renderSubtitlesClass 
{

	public:
									renderSubtitlesClass();
									~renderSubtitlesClass();
			void					init();
			void					end();
			void					postSubtitleData(int curFrame, SUBTITLEDATA * sub, FRAMEDATA * subtitleFrame);
			bool					renderSubtitle(int curFrame, SUBTITLEDATA * sub, FRAMEDATA * frame);
			void					updateSubtitleCounters(int curFrame, FRAMEDATA * subtitleFrame);


	private:
			void					renderLineRgb32();
			int						getBits();

			int						startingFrame;
			int						endingFrame;

			unsigned char			subtitlePalette[4];					
			unsigned char			subtitleAlpha[4];
			unsigned char *			dataPtr[2];
			bool					dataNibble[2];
			int						dataSize[2];						
			unsigned int *			outputPtr;
			unsigned int *			current;
			int						subtitleWidth;
			int						subtitleHeight;
			int						stride;
			int						subtitleField;
			int						lineCounter;
			unsigned int			colorTable[4];
			bool					firstEver;
			bool					subtitleFrameDisplay;

};



#endif