// *****************************************************************************
// tcpip class
// *****************************************************************************
#ifndef tcp_h
#define tcp_h

   class tcpClass {

	public:
									tcpClass();
									~tcpClass();
			SOCKET					createSocket();
			void					closeSocket(SOCKET openSock);
			bool					bindSocket(SOCKET openSock, int portNumber, unsigned long useInterface);
			bool					setSocketListen(SOCKET openSock);
			SOCKET					acceptConnection(SOCKET openSock);
			int						peekBytes(SOCKET openSock,char * inBuffer, int inBufferSize);
			int						receiveBytes(SOCKET openSock,char * inBuffer, int inBufferSize);
			void					closeConnection(SOCKET openSock);
			int						sendBytes(SOCKET openSock,char * outBuffer, int outBufferSize);
			int						connectAddress(SOCKET openSock, int portNumber, char * nameOfMachine);
			bool					safeReceiveBytes(SOCKET openSocket, char * ptr, int bytesRemaining);
			bool					safeSendBytes(SOCKET openSocket, char * ptr, int bytesRemaining);

	protected:
			WSADATA					wsaData;
			int						connectionStatus;
};

#endif