// *****************************************************************************
// divx4 State def
// *****************************************************************************
#ifndef divxnetworksstate_h
#define divxnetworksstate_h

// Note: Unknowns can easily be figured out. I just don't need them currently, so I'm saving myself time. 
// Note: Also note that I might have some incorrectly identified. -Marty.

#define DIVXCODEC_ENCODECBR 0
#define DIVXCODEC_ENCODECBRQUALITY 1
#define DIVXCODEC_ENCODEVBR 2

/*
// This is the DIVX 4 State structure

typedef struct { 
	int				bitrate;
	int				unknown1;
	int				rcReactionPeriod;
	int				rcReactionRatio;
	int				keyframeInterval;
	int				maxQuantizer;
	int				minQuantizer;
	int				quality;
	int				vbrMode;
	int				vbrQuality;
	int				unknown2;
	int				unknown3;
	int				unknown4;
	unsigned int	optimizations;
	int				unknown5;
	char			logFile[255];

} DIVXSTATE; 
*/

typedef struct { 
	int				bitrateVersion4;	//0
	int				bitrateVersion5;	//4
	int				unknown2;			//8
	int				unknown3;			//c
	int				unknown4;			//10
	int				unknown5;			//14
	int				unknown6;			//18
	int				unknown7;			//1c
	int				vbrMode;			//20
} DIVXSTATEUNUSED; 


#endif
