// *****************************************************************************
//	Vidomi - Video Encoder
//
//	Copyright (C) 2001 Vidomi, Inc.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// *****************************************************************************
// *****************************************************************************
// encoderwindow class
// *****************************************************************************
#ifndef encoderwindow_h
#define encoderwindow_h

   class encoderWindowClass {

	public:
									encoderWindowClass();
									~encoderWindowClass();
			HWND					createWindow(HINSTANCE hInst);
			BOOL static CALLBACK	windowDialogHandler(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
			bool					windowDialogHandler1(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
			void					doneConverting();
			bool					hideWindow();
			bool					showWindow();
			bool					addToJobList(bool erase);
			bool					resetJobList();
			void					clearJob(int index);

	protected:
			bool					addFileToList(char * filename);
			bool					addFromLstFile(char * filename);
			void					configureWindow(void);
			void					readWindowVars(HWND hWnd);
			bool					addFromIfoFile(char * filename);
			void					enableEncodeOptionWindows();
			void					disableEncodeOptionWindows();
			void					configureSettings();
			void					doDrop(WPARAM wParam);

			bool					converting;
			bool					inputValidated;
			GATHERRESULTS *			inputFileInfo;
			int						inputSamplerate;
			int						inputChannels;
			bool					outputSet;
			char *					comboStr;
			HWND					dialoghWnd;
			bool					ignoreUpdate;

};

#endif