// *****************************************************************************
//	Vidomi - Video Encoder
//
//	Copyright (C) 2001 Vidomi, Inc.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// *****************************************************************************
// *****************************************************************************
// mp3Decode class
// *****************************************************************************
#ifndef mp3decode_h
#define mp3decode_h

class mp3DecodeClass 
{

	public:
									mp3DecodeClass();
									~mp3DecodeClass();
			bool					init();
			void					end();
			int						decode(unsigned char * source, int sourceLength, unsigned char *dest);
			int						prepare(unsigned char * source, int sourceLength, int *channels, int * samplerate, int * framesize);



	private:
			char *					pathToDll;
			HINSTANCE				d2aDll;
			DVD2AVIMP3INIT			dvd2AviMp3Init;
			DVD2AVIMP3END			dvd2AviMp3End;
			DVD2AVIMP3DECODE		dvd2AviMp3Decode;
			DVD2AVIMP3PREPARE		dvd2AviMp3Prepare;
};


#endif