// *****************************************************************************
//	Vidomi - Video Encoder
//
//	Copyright (C) 2001 Vidomi, Inc.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// *****************************************************************************
// *****************************************************************************
// mp3Encode class
// *****************************************************************************
#ifndef mp3encode_h
#define mp3encode_h

class mp3EncodeClass 
{

	public:
									mp3EncodeClass();
									~mp3EncodeClass();
			bool					init(int instance);
			void					end();
			bool					config(int inputFrequency,int outputFrequency, int inputChannels,
											int encodeMode, int channelType, int quality, 
											int minBitrate, int maxBitrate, int vbrQuality,
											unsigned long * sizeOfMp3Buffer, unsigned long * sizeOfWavBuffer);
			int						encode(unsigned char * wavBuffer, unsigned char * mp3Buffer, int bytesToEncode);
			int						encodeEnd(unsigned char * mp3Buffer);


	private:
			HINSTANCE				lameDll;
			INITSTREAM				initStream;
			ENCODECHUNK				encodeChunk;
			DEINITSTREAM			deInitStream;
			CLOSESTREAM				closeStream;
			LAMEHANDLE				lameHandle;
			char *					pathToDll;
			char *					dllName;
};


#endif