// *****************************************************************************
//	Vidomi - Video Encoder
//
//	Copyright (C) 2001 Vidomi, Inc.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// *****************************************************************************
// *****************************************************************************
// registry class
// *****************************************************************************
#ifndef registry_h
#define registry_h

#define REGISTRY_PROGRAM_NAME "SOFTWARE\\Vidomi\\Vidomi"

class registryClass 
{

	public:
									registryClass();
									~registryClass();
			int						openCreateReg(HKEY * tempKey, char * programName);
			DWORD					getSetRegVal(HKEY tempKey , char * keyStr, int * var);
			float					getSetRegFloat0to1(HKEY tempKey , char * keyStr, float * var);
			int						getSetRegStr(HKEY tempKey , char * keyStr, char * tempString, int tempStringLen);
			void					closeReg(HKEY tempKey);
			void					setRegStr(HKEY tempKey , char * keyStr , char * valStr );
			void					setRegVal(HKEY tempKey , char * keyStr , DWORD val );
			void					setRegFloat0to1(HKEY tempKey , char * keyStr , float val );
			void					getSetRegValN(HKEY tempKey , char * keyStr, unsigned char * addr, int size);
			void					setRegValN(HKEY tempKey , char * keyStr , unsigned char * addr,  int size);
			void					setRegBool(HKEY tempKey , char * keyStr , DWORD val );
			DWORD					getSetRegBool(HKEY tempKey , char * keyStr, bool * var);

	private:



};


#endif