// *****************************************************************************
//	Vidomi - Video Encoder
//
//	Copyright (C) 2001 Vidomi, Inc.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// *****************************************************************************
// *****************************************************************************
// settings class
// *****************************************************************************
#ifndef settings_h
#define settings_h

class settingsClass 
{

	public:
									settingsClass();
									~settingsClass();
			bool					saveSettingsFile(char * filename);
			bool					saveSettingsRegistry();
			void					saveSettings();
			bool					loadSettingsFile(char * filename);
			bool					loadSettingsRegistry();

			void					loadSettings();
			void					getBool( char * keyStr , bool * val);
			void					saveBool( char * keyStr , DWORD val);
			void					getInt( char * keyStr , int * val);
			void					saveInt( char * keyStr , int val);
			void					getStr( char * keyStr , char * string, int stringlength);
			void					saveStr( char * keyStr , char * val);
			void					getFloat0to1( char * keyStr , float * val);
			void					saveFloat0to1( char * keyStr , float val);
			void					getValN( char * keyStr , unsigned char * addr,  int size);
			void					saveValN( char * keyStr , unsigned char * addr, int size);
			bool					loadCodecCfgFile(char * filename);


	private:
			FILE *					settingsFile;
			bool					fileMode;
			char *					tempString;
			char *					readString;
			char *					writeStr;
			HKEY					settingsReg;


};


#endif